@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.grid-products-block {
  & {
    margin: 0 auto 100px;
    max-width: @container_width;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 4em;
    padding: 1em;

    @media (max-width: @screen_desktop) {
      grid-template-columns: 1fr;
      grid-gap: 2em;
      margin-bottom: 60px;
    }

    @media (max-width: @screen_tablet) {
      margin-bottom: 20px;
    }
  }

  .card {
    & {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      border: 1px solid @bg_second;
      border-radius: 6px;
      padding: 20px;
      height: 400px;
      cursor: pointer;
      overflow: hidden;
      text-align: center;

      @media (max-width: @screen_tablet) {
        height: 300px;
      }
    }

    &:hover {
      @media (min-width: @screen_tablet) {
        position: relative;
        transform: scale(1.1);
        transition: .2s;
      }
    }

    .image-card {
      margin: 0;
      padding: 0 0 30px;
      width: 300px;
      height: 300px;
      object-fit: cover;

      @media (max-width: @screen_tablet) {
        width: 200px;
        height: 200px;
      }
    }

    .title-card {
      font-family: @font_primary;
      font-size: 20px;
      color: @bg_form;

      @media (max-width: @screen_tablet) {
        font-size: 18px;
      }
    }
  }
}
